{% extends "base.html" %}

{% block main %}
<h1>Code</h1>

<div class="d-flex">
  <div style="width: 50%">
    <h2>How it looks</h2>
  </div>
  <div class="flex-grow-1" style="width: 50%">
    <h2>How it works</h2>
  </div>
</div>


<div class="d-flex">
  <div style="width: 50%; border: 0px solid red">
    <pre><code class="js">
import hljs from 'highlight.js/lib/core';
import javascript from 'highlight.js/lib/languages/javascript';
hljs.registerLanguage('js', javascript);
    </code></pre>
  </div>
  <div class="flex-grow-1">
    <pre><code>
&lt;pre&gt;&lt;code class="js"&gt;
import hljs from 'highlight.js/lib/core';
import javascript from 'highlight.js/lib/languages/javascript';
hljs.registerLanguage('js', javascript);
&lt;code&gt;&lt;pre&gt;</code></pre>
  </div>
</div>


<div class="d-flex">
  <div style="width: 50%; border: 0px solid red">
    <pre><code class="py">
def f(x):
    a = x*x
    return a

print(f(10))
    </code></pre>
  </div>
  <div class="flex-grow-1">
    <pre><code>
&lt;pre&gt;&lt;code class="py"&gt;
def f(x):
    a = x*x
    return a

print(f(10))
&lt;code&gt;&lt;pre&gt;</code></pre>
  </div>
</div>






{% endblock %}
